cassandra-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From William Oberman <ober...@civicscience.com>
Subject Re: rpm from 0.7.x -> 0.8?
Date Wed, 22 Jun 2011 15:48:20 GMT
I have a question about auto_bootstrap.  When I originally brought up the
cluser, I did:
-seed with auto_boot = false
-1,2,3 with auto_boot = true

Now that I'm doing a rolling upgrade, do I set them all to auto_boot =
true?  Or does the seed stay false?  Or should I mark them all false?  I
have manually set tokens on all of the.

The doc confused me:
Set to 'true' to make new [non-seed] nodes automatically migrate the right
data to themselves. (If no
InitialToken<http://wiki.apache.org/cassandra/InitialToken>
 is specified, they will pick one such that they will get half the range of
the most-loaded node.) If a node starts up without bootstrapping, it will
mark itself bootstrapped so that you can't subsequently accidently bootstrap
a node with data on it. (You can reset this by wiping your data and
commitlog directories.)
Default is: 'false', so that new clusters don't bootstrap immediately. You
should turn this on when you start adding new nodes to a cluster that
already has data on it.

I'm not adding new nodes, but the cluster does have data on it...

will

On Wed, Jun 22, 2011 at 11:39 AM, William Oberman
<oberman@civicscience.com>wrote:

> I just did a remove then install, and it seems to work.
>
> For those of you out there with JMX issues, the default port moved from
> 8080 to 7199 (which includes the internal default to nodetool).  I was
> confused why nodetool ring would fail on some boxes and not others.  I had
> to add -p depending on the version of nodetool....
>
> will
>
>
> On Wed, Jun 22, 2011 at 10:15 AM, William Oberman <
> oberman@civicscience.com> wrote:
>
>> I'm running 0.7.4 from rpm (riptano).  If I do a yum upgrade, it's trying
>> to do 0.7.6.  To get 0.8.x I have to do "install apache-cassandra08".  But
>> that is going to install two copies.
>>
>> Is there a semi-official way of properly upgrading to 0.8 via rpm?
>>
>> --
>> Will Oberman
>> Civic Science, Inc.
>> 3030 Penn Avenue., First Floor
>> Pittsburgh, PA 15201
>> (M) 412-480-7835
>> (E) oberman@civicscience.com
>>
>
>
>
> --
> Will Oberman
> Civic Science, Inc.
> 3030 Penn Avenue., First Floor
> Pittsburgh, PA 15201
> (M) 412-480-7835
> (E) oberman@civicscience.com
>



-- 
Will Oberman
Civic Science, Inc.
3030 Penn Avenue., First Floor
Pittsburgh, PA 15201
(M) 412-480-7835
(E) oberman@civicscience.com

Mime
View raw message